Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## ch.uzh.ifi.attempto.ape
Enum Gender

    java.lang.Object
      java.lang.Enum<Gender>
          ch.uzh.ifi.attempto.ape.Gender

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gender>

    public enum Gender

extends java.lang.Enum<Gender>

This enumeration lists the possible gender types for nouns and proper names.

Author:
  Tobias Kuhn

Enum Constant Summary
`FEMININE` Feminine gender.
`HUMAN` Human gender.
`MASCULINE` Masculine gender.
`NEUTRAL` Neutral gender.

Method Summary
`java.lang.String` | `toString()` Returns the Prolog atom representation of the type of gender.
`static Gender` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gender[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEUTRAL

    public static final Gender NEUTRAL

  Neutral gender.

### HUMAN

    public static final Gender HUMAN

  Human gender.

### MASCULINE

    public static final Gender MASCULINE

  Masculine gender.

### FEMININE

    public static final Gender FEMININE

  Feminine gender.

Method Detail

### values

    public static final Gender[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Gender c : Gender.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Gender valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public java.lang.String toString()

  Returns the Prolog atom representation of the type of gender.

  Overrides:
    `toString` in class `java.lang.Enum<Gender>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)